<template>
  <div>
    <div class="max-w-5xl mx-auto text-center my-5">
      <h3 class="text-xl mx-auto text-gray-900">دسته بندی محصولات</h3>
    </div>

    <ul
      role="list"
      class="max-w-5xl mx-auto grid grid-cols-2 gap-6 sm:grid-cols-2 md:grid-cols-3 lg:grid-cols-5"
    >
      <li
        v-if="showLess"
        v-for="(
          GetListProductsGroupbyParnet, index
        ) in GetListProductsGroupbyParnets.slice(0, 10)"
        :key="index"
        class="col-span-1 flex flex-col text-center bg-white divide-y divide-gray-200"
      >
        <div class="flex-1 flex flex-col"  v-if="index <= 10">
          <span class="inline-block relative mx-auto">
            <!-- <div
              class="w-32 h-32 flex-shrink-0 mx-auto rounded-full bg-gray-100"
            ></div> -->

            <img
              :src="`https://2sote.com/File/GroupProduct/${GetListProductsGroupbyParnet.img}`"
              alt=""
              width="125"
              height="125"
              srcset=""
            />
          </span>
          <h3 class="mt-2 text-gray-900 text-sm font-medium">
            {{ GetListProductsGroupbyParnet.name }}
          </h3>
        </div>
      </li>
      <li
        v-if="showLess == false"
        v-for="GetListProductsGroupbyParnet in GetListProductsGroupbyParnets"
        class="col-span-1 flex flex-col text-center bg-white divide-y divide-gray-200"
      >
        <div class="flex-1 flex flex-col text-center">
          <span class="inline-block relative mx-auto">
            <!-- <div
              class="w-32 h-32 flex-shrink-0 mx-auto rounded-full bg-gray-100"
            ></div> -->

            <img
              :src="`https://2sote.com/File/GroupProduct/${GetListProductsGroupbyParnet.img}`"
              alt=""
              width="125"
              height="125"
              srcset=""
            />
          </span>
          <h3 class="mt-2 text-gray-900 text-sm font-medium">
            {{ GetListProductsGroupbyParnet.name }}
          </h3>
        </div>
      </li>
    </ul>
    <div class="max-w-5xl mx-auto text-center mt-8">
      <button
        @click="showLess = !showLess"
        class="text-xl font-bold text-black-base tracking-wider uppercase mb-8"
      >
        مشاهده دسته بندی ها
      </button>
    </div>
  </div>
</template>

<script>
import { mapState, mapGetters, mapActions, mapMutations } from 'vuex'

export default {
  computed: {
    ...mapGetters({
      GetListProductsGroupbyParnets: 'products/GetListProductsGroupbyParnet',
    }),
  },
  created() {
    this.fetchListProductsGroupbyParnet()
  },
  methods: {
    fetchListProductsGroupbyParnet() {
      console.log('mmm222')
      this.$store.dispatch('products/fetchListProductsGroupbyParnet', 0)
    },
  },
  data() {
    return {
      showLess: true,
    }
  },
}
</script>
